'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _vscodeLanguageserver = require('vscode-languageserver');

class DocumentStorage {

  constructor(connection) {
    this.documents = new _vscodeLanguageserver.TextDocuments();
    this.documents.listen(connection);
  }

  get(fileUri) {
    return this.documents.get(fileUri).getText();
  }
}
exports.default = DocumentStorage;